FLAIM: Database Copy, Rename, Delete Functions

- Main Page
- Modules
- Classes
- Files

# Database Copy, Rename, Delete Functions
[Database Functions]

## Functions
FLMEXP RCODE FLMAPI | FlmDbCopy (const char *pszSrcDbName, const char *pszSrcDataDir, const char *pszSrcRflDir, const char *pszDestDbName, const char *pszDestDataDir, const char *pszDestRflDir, STATUS_HOOK fnStatusCallback, void *pvAppData)
| Copy a database.
FLMEXP RCODE FLMAPI | FlmDbRename (const char *pszDbName, const char *pszDataDir, const char *pszRflDir, const char *pszNewDbName, FLMBOOL bOverwriteDestOk, STATUS_HOOK fnStatusCallback, void *pvAppData)
| Rename a database.
FLMEXP RCODE FLMAPI | FlmDbRemove (const char *pszDbName, const char *pszDataDir, const char *pszRflDir, FLMBOOL bRemoveRflFiles)
| Delete a database.

## Function Documentation

FLMEXP RCODE FLMAPI FlmDbCopy | ( | const char * | pszSrcDbName,
|  | const char * | pszSrcDataDir,
|  | const char * | pszSrcRflDir,
|  | const char * | pszDestDbName,
|  | const char * | pszDestDataDir,
|  | const char * | pszDestRflDir,
|  | STATUS_HOOK | fnStatusCallback,
|  | void * | pvAppData
| ) |

  | Copy a database. Parameters:
  pszSrcDbName | Name of database to be copied. May be full path name or partial path name.
  pszSrcDataDir | Name of directory where data files for the database are located. If NULL, data files are assumed to be in the same directory as the main database file - pszSrcDbName.
  pszSrcRflDir | Name of the directory where RFL files are located. If NULL, RFL files are assumed to be in the same directory as the main database file - pszSrcDbName.
  pszDestDbName | Name of destination database. May be full path name or partial path name.
  pszDestDataDir | Name of desitnation directory where data files for the new database are to be copied. If NULL, destination data files will be copied to the same directory as the main destination database file - pszDestDbName.
  pszDestRflDir | Name of desitnation directory where RFL files for the new database are to be copied. If NULL, destination RFL files will be copied to the same directory as the main destination database file - pszDestDbName.
  fnStatusCallback | Callback function called by FlmDbCopy() to show copy progress. See documentation on eStatusType::FLM_DB_COPY_STATUS for information on the data that FlmDbCopy() will pass to the callback function.
  pvAppData | Pointer to application data that will be passed to the callback function whenever it is called.

FLMEXP RCODE FLMAPI FlmDbRemove | ( | const char * | pszDbName,
|  | const char * | pszDataDir,
|  | const char * | pszRflDir,
|  | FLMBOOL | bRemoveRflFiles
| ) |

  | Delete a database. Parameters:
  pszDbName | Name of database to be deleted. May be full path name or partial path name.
  pszDataDir | Name of directory where data files for the database are located. If NULL, data files are assumed to be in the same directory as the main database file - pszDbName.
  pszRflDir | Name of the directory where RFL files are located. If NULL, RFL files are assumed to be in the same directory as the main database file - pszDbName.
  bRemoveRflFiles | Flag indicating whether or not RFL files should be deleted.

FLMEXP RCODE FLMAPI FlmDbRename | ( | const char * | pszDbName,
|  | const char * | pszDataDir,
|  | const char * | pszRflDir,
|  | const char * | pszNewDbName,
|  | FLMBOOL | bOverwriteDestOk,
|  | STATUS_HOOK | fnStatusCallback,
|  | void * | pvAppData
| ) |

  | Rename a database. Parameters:
  pszDbName | Name of database to be renamed. May be full path name or partial path name.
  pszDataDir | Name of directory where data files for the database are located. If NULL, data files are assumed to be in the same directory as the main database file - pszDbName.
  pszRflDir | Name of the directory where RFL files are located. If NULL, RFL files are assumed to be in the same directory as the main database file - pszDbName.
  pszNewDbName | New name to be given to the database. NOTE: All data files and RFL subdirectories will be renamed using this name as the template.
  bOverwriteDestOk | Flag indicating whether or not it is ok to overwrite the destination database if a database already exists with the new name.
  fnStatusCallback | Callback function called by FlmDbRename() to show copy progress. See documentation on eStatusType::FLM_DB_RENAME_STATUS for information on the data that FlmDbRename() will pass to the callback function.
  pvAppData | Pointer to application data that will be passed to the callback function whenever it is called.